/* (c) R&D Associates 1992-1997.
	All Rights Reserved.

	For Symantec 6.1 or higher. (C++).

	Build symc.clb using:

		clint symc70.cpp -L+symc70.clb -I. %1 %2 %3 -3- -KC0 -KB0 -Ab1 -An1 -Ah1 -Ai1 -KL1

*/

/* Force correct stuff even if the wrong compiler is specified. */

#undef __TURBOC__
#undef __BORLANDC__
#undef __SC__
#undef __ZTC__
#undef zpage
#undef no_init
#undef monitor
#undef non_banked
#undef _handle
#undef selector
#undef _SIZEOF_INT
#undef _SIZEOF_LONG
#undef __TID__
#undef MSC_VER
#undef WIN32_LEAN_AND_MEAN
#undef __nan
#undef __NT__
#undef __FLAT__
#undef __WIN32__
#undef _WIN32
#undef M_I86
#undef _M_IX86
#undef __declspec
#undef __inline
#undef __int64
#undef __unaligned


#pragma lint -w-tni
#pragma lint -w-tns
#pragma lint -w-rtm

#define __SC__			0x300
#define __int64			long
#define M_I86			1
#define _M_IX86			800
#define _MSC_VER		800
#define __nan			0.0
#define __declspec(x)
#define __inline		inline


// These must be out of order to get definitions needed later. Don't you just
// hate headers that don't include the definitions they need themselves? You'd
// think the ANSI commitee had never specified how headers should be written.
#include "windows.h"
#include "memory.h"
#include "mmsystem.h"

#include "alloc.h"
	//#include "alphaops.h"
#include "aouthdr.h"
#include "assert.h"
	//#include "atalkwsh.h"
	//#include "basetyps.h"
#include "bios.h"
#include "cderr.h"
#include "cerror.h"
	//#include "cguid.h"
#include "clib.h"
	//#include "cobjps.h"
#include "coff.h"
	//#include "coguid.h"
#include "colordlg.h"
#include "commctrl.h"
#include "commdlg.h"
#include "complex.h"
//#include "compobj.h"
#include "conio.h"
#include "controlc.h"
#include "cpl.h"
	//#include "cplext.h"
	//#include "ctl3d.h"
#include "ctype.h"
#include "custcntl.h"
	//#include "dbt.h"
#include "dde.h"
#include "ddeml.h"
	//#include "digitalv.h"
#include "dir.h"
//#include "direct.h"
#include "dirent.h"
#include "disp.h"
//#include "dispatch.h"
	//#include "dispdib.h"
	//#include "dlcapi.h"
#include "dlgs.h"
#include "dos.h"
#include "dpmi.h"
#include "drivinit.h"
	//#include "dvobj.h"
//#include "dwarf.h"
#include "eh.h"
#include "elf.h"
#include "emm.h"
#include "errno.h"
	//#include "error.h"
	//#include "exchext.h"
	//#include "excpt.h"
#include "exitstat.h"
#include "fcntl.h"
#include "fenv.h"
#include "fg.h"
//#include "filehdr.h"
#include "float.h"
#include "fltenv.h"
//#include "fltpnt.h"
//#include "fp.h"
#include "fstream.h"
	//#include "ftsiface.h"
#include "generic.h"
//#include "grp.h"
#include "handle.h"
#include "hugeptr.h"
	//#include "idf.h"
	//#include "imessage.h"
	//#include "imm.h"
#include "initguid.h"
	//#include "initoid.h"
#include "int.h"
	//#include "intshcut.h"
//#include "io.h"
#include "iomanip.h"
#include "ios.h"
//#include "iostream.h"
	//#include "isguids.h"
#include "istream.h"
#include "limits.h"
//#include "linenum.h"
	//#include "lm.h"
	//#include "lmaccess.h"
	//#include "lmalert.h"
	//#include "lmapibuf.h"
	//#include "lmat.h"
	//#include "lmaudit.h"
	//#include "lmbrowsr.h"
	//#include "lmchdev.h"
	//#include "lmconfig.h"
	//#include "lmcons.h"
	//#include "lmerr.h"
	//#include "lmerrlog.h"
	//#include "lmmsg.h"
	//#include "lmremutl.h"
	//#include "lmrepl.h"
	//#include "lmserver.h"
	//#include "lmshare.h"
	//#include "lmsname.h"
	//#include "lmstats.h"
	//#include "lmsvc.h"
	//#include "lmuse.h"
	//#include "lmuseflg.h"
	//#include "lmwksta.h"
#include "locale.h"
#include "lzexpand.h"
//#include "macros.h"
#include "malloc.h"
	//#include "mapi.h"
	//#include "mapicode.h"
	//#include "mapidbg.h"
	//#include "mapidefs.h"
	//#include "mapiform.h"
	//#include "mapiguid.h"
	//#include "mapihook.h"
	//#include "mapinls.h"
	//#include "mapioid.h"
	//#include "mapispi.h"
	//#include "mapitags.h"
	//#include "mapiutil.h"
	//#include "mapival.h"
	//#include "mapiwin.h"
	//#include "mapiwz.h"
	//#include "mapix.h"
//#include "math.h"
#include "mbctype.h"
#include "mbstring.h"
	//#include "mciavi.h"
	//#include "mcx.h"
#include "mem.h"
//#include "memory.h"
	//#include "mgmtapi.h"
	//#include "midles.h"
	//#include "mmreg.h"
//#include "mmsystem.h"
	//#include "moniker.h"
	//#include "msacm.h"
	//#include "msacmdlg.h"
	//#include "msfs.h"
#include "msmouse.h"
	//#include "mspab.h"
	//#include "mspst.h"
	//#include "msviddrv.h"
	//#include "nb30.h"
	//#include "nddeapi.h"
	//#include "nddesec.h"
#include "new.h"
	//#include "nspapi.h"
	//#include "ntsdexts.h"
	//#include "oaidl.h"
	//#include "objbase.h"
	//#include "objerror.h"
	//#include "objidl.h"
#include "odbcinst.h"
#include "odbcver.h"
	//#include "ole.h"
	//#include "ole1cls.h"
	//#include "ole2.h"
	//#include "ole2ansi.h"
	//#include "ole2dbg.h"
	//#include "ole2ui.h"
	//#include "ole2ver.h"
	//#include "oleauto.h"
	//#include "oledlg.h"
	//#include "oledlgs.h"
	//#include "oleguid.h"
	//#include "oleidl.h"
	//#include "olenls.h"
//#include "olestd.h"
#include "ostream.h"
#include "page.h"
	//#include "pbt.h"
	//#include "pcrt32.h"
	//#include "penwin.h"
	//#include "penwoem.h"
	//#include "plan32.h"
#include "poll.h"
	//#include "poppack.h"
//#include "print.h"
#include "process.h"
	//#include "prsht.h"
	//#include "pshpack1.h"
	//#include "pshpack2.h"
	//#include "pshpack4.h"
	//#include "pshpack8.h"
//#include "pwd.h"
	//#include "ras.h"
	//#include "raserror.h"
	//#include "recguids.h"
	//#include "reconcil.h"
	//#include "regstr.h"
//#include "reloc.h"
	//#include "richedit.h"
	//#include "richole.h"
	//#include "rpc.h"
	//#include "rpcdce.h"
	//#include "rpcdcep.h"
	//#include "rpcndr.h"
	//#include "rpcnsi.h"
	//#include "rpcnsip.h"
	//#include "rpcnterr.h"
	//#include "rpcproxy.h"
//#include "scnhdr.h"
//#include "scode.h"
#include "scrnsave.h"
#include "search.h"
//#include "setjmp.h"
#include "sgtty.h"
#include "share.h"
#include "shellapi.h"
	//#include "shlguid.h"
	//#include "shlobj.h"
#include "signal.h"
#include "skbapi.h"
	//#include "smpab.h"
	//#include "smpms.h"
	//#include "smpxp.h"
	//#include "snmp.h"
#include "sound.h"
#include "sql.h"
#include "sqlext.h"
#include "stdarg.h"
#include "stddef.h"
//#include "stdio.h"
#include "stdiostr.h"
//#include "stdlib.h"
//#include "storage.h"
//#include "storclas.h"
#include "stream.h"
#include "stress.h"
//#include "string.h"
//#include "stropts.h"
#include "strstrea.h"
	//#include "svcguid.h"
	//#include "svrapi.h"
#include "swap.h"
//#include "syms.h"
#include "tabsize.h"
	//#include "tapi.h"
//#include "tchar.h"
//#include "termio.h"
//#include "termios.h"
#include "time.h"
	//#include "tlhelp32.h"
	//#include "tnef.h"
#include "toolhelp.h"
#include "trace.h"
	//#include "tspi.h"
#include "tsr.h"
#include "typeinfo.h"
#include "unistd.h"
	//#include "unknwn.h"
#include "unmangle.h"
#include "utime.h"
	//#include "varargs.h"
//#include "variant.h"
	//#include "vcr.h"
	//#include "vdmdbg.h"
//#include "ver.h"
	//#include "vfw.h"
#include "wchar.h"
	//#include "wdbgexts.h"
#include "wfext.h"
	//#include "winbase.h"
#include "winc.h"
	//#include "wincon.h"
	//#include "windef.h"
//#include "windows.h"
#include "windowsx.h"
	//#include "winerror.h"
	//#include "wingdi.h"
#include "winio.h"
	//#include "winioctl.h"
#include "winmem32.h"
	//#include "winmm.h"
	//#include "winnetwk.h"
	//#include "winls.h"
	//#include "winnt.h"
	//#include "winperf.h"
	//#include "winreg.h"
//#include "winsock.h"
	//#include "winspool.h"
	//#include "winsvc.h"
	//#include "winuser.h"
	//#include "winver.h"
	//#include "winwlx.h"
#include "wmhandlr.h"
	//#include "wownt16.h"
	//#include "wownt32.h"
	//#include "wshisotp.h"
	//#include "wsipx.h"
	//#include "wsnetbs.h"
	//#include "wsnwlink.h"
	//#include "wtypes.h"
	//#include "xcmc.h"
	//#include "xcmcext.h"
	//#include "xcmcmsx2.h"
	//#include "xcmcmsxt.h"

/* End of file. */
